# SourcePath: nss/20210215
Summary: compression library - runtime
Name: sony-target-dev-nss
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-nss
Version: 3.43
Release: 14010005
Source: nss-%{version}.tar.gz
Patch1: nss-nsinstall.patch
Patch2: nss-3.43-CVE-2019-11745.patch
Patch3: nss-3.43-CVE-2019-17006.patch
Patch4: nss-3.43-CVE-2019-17007.patch
Patch5: nss-3.43-CVE-2020-12399.patch
Patch6: nss-3.43-CVE-2020-12402.patch
Patch7: nss-3.43-CVE-2020-12400-and-6829-1.patch
Patch8: nss-3.43-CVE-2020-12400-and-6829-2.patch
Patch9: nss-3.43-CVE-2020-12401.patch
Patch10: nss-3.43-CVE-2020-12403-2.patch
Patch11: nss-3.43-CVE-2020-25648.patch
License: MPL v2.0
URL: https://ftp.mozilla.org/pub/security/nss/releases/NSS_3_43_RTM/src/nss-3.43.tar.gz
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled client and
server applications. Applications built with NSS can support SSL
v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards.

# nss

%package -n %{pkgname}
Summary: compression library - runtime
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled client and
server applications. Applications built with NSS can support SSL
v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards.

%prep
%setup -n nss-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
mv nss/* .

%build
%sony_target_dev_setup
export AR="%{sony_target_toolprefix}ar"
export OS_TEST=arm
export OS_ARCH=Linux
export CPU_ARCH=arm
export SYSROOT=/usr/local/arm-sony-linux-gnueabi/target/armv7a
sed -i -e 's/$(NSINSTALL)/\/usr\/local\/arm-sony-linux-gnueabi\/host\/bin\/nsinstall/g' coreconf/rules.mk
sed -i -e 's/$(INSTALL)/\/usr\/local\/arm-sony-linux-gnueabi\/host\/bin\/nsinstall/g' coreconf/rules.mk
make SOURCE_PREFIX=`pwd`/dist SOURCE_MD_DIR=`pwd`/dist DIST=`pwd`/dist OBJDIR_NAME=OBJS \
        NSPR_INCLUDE_DIR=%{sony_target_dev_include_dir} \
        NSPR_LIB_DIR=%{sony_target_dev_lib_dir} \
        BUILD_OPT=1 \
        NS_USE_GCC=1 \
        OPTIMIZER="-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wall -pipe -Wdate-time -D_FORTIFY_SOURCE=2" \
        LDFLAGS='-Wl,-Bsymbolic-functions -Wl,-z,relro $(ARCHFLAG) $(ZDEFS_FLAG)' \
        DSO_LDOPTS='-shared $(LDFLAGS)' \
        NSS_USE_SYSTEM_SQLITE=1 \
        NSS_ENABLE_ECC=1 \
        CHECKLOC= \
         CCC='arm-sony-linux-gnueabi-g++ -tarmv7a' CXX='arm-sony-linux-gnueabi-g++ -tarmv7a' OS_TEST=arm

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall

%demangle_libtool
# 6.x
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
echo `pwd`
cp `pwd`/dist/lib/* \
    %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
cp `pwd`/dist/bin/* \
    %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
cp `pwd`/dist/private/dbm/* \
    %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
cp `pwd`/dist/private/nss/* \
    %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
cp `pwd`/dist/public/dbm/* \
    %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
cp `pwd`/dist/public/nss/* \
    %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
	%{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
   if [ "$l" != "optinfo" -a "$l" != "optinfo" ]; then
      ln -s ../..%{sony_target_devtool_lib_dir}/$l \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
   fi
done
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}/nss.h
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}/search.h
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdbm.a
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libssl.a
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libdbm.a
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libssl.a
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libgtest.a
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/nsinstall

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_include_dir}/*

%{sony_target_dir}%{sony_target_devtool_lib_dir}/*

%changelog
* Mon Feb 15 2021 Sony Corporation
- Added Patch for CVE-2020-6829, CVE-2020-12399, 
  CVE-2020-12400, CVE-2020-12401, CVE-2020-12402,
  CVE-2020-12403 and CVE-2020-25648.

* Fri Feb 07 2020 Sony Corporation
- Added Patch for CVE-2019-17006 and CVE-2019-17007.

* Thu Dec 12 2019 Sony Corporation
- Added Patch for CVE-2019-11745.

* Mon Jul 01 2019 Sony Corporation
- Modified Spec File to solve LOT issues of nsinstall binary

* Mon May 20 2019 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.
